Automatically congratulate users for reaching certain edit count milestones
Closed, ResolvedPublic

Description

Thousands of users toil away with no or little interaction with others. Though we should absolutely drive up interaction by making it easier to collaborate, it would be nice to follow the lead set by ContentTranslation and give a system-level (Web-only) congratulation to users who meet particular milestones, and encourage them to keep going and work with others; for a start, I'm proposing the 1/10/100/1000 thresholds. We'd also like to do this on articles-created, but sadly that will take some more serious engineering, so will be a follow-up.

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 4:37 AM

Change 264900 had a related patch set uploaded (by Jforrester):
Introduce congratulatory notifications for reaching edit thresholds

https://gerrit.wikimedia.org/r/264900

Change 264900 had a related patch set uploaded (by Legoktm):
Introduce congratulatory notifications for reaching edit thresholds

https://gerrit.wikimedia.org/r/264900

Legoktm moved this task from Backlog to In progress on the Notifications board.Jan 19 2016, 8:05 AM
Trizek-WMF added a subscriber: Trizek-WMF.

Achievements, the most advanced piece of Wikiafication ever!
If you seriously want to encourage user interaction, newcomers should be thanked by their fellow editors. To the best of my knowledge, Echo is not able to separate thankworthy edits from good-faith mistakes and outright vandalism.
Dehumanizing a delicate process that by its very nature is best left to the communities? No, thanks.

Alsee awarded a token.Jan 25 2016, 6:31 PM
0x010C added a subscriber: 0x010C.Jan 25 2016, 7:30 PM
He7d3r added a subscriber: He7d3r.Jan 25 2016, 7:32 PM
Alsee added a subscriber: Alsee.Jan 25 2016, 7:51 PM

I understand the intention is good here, to encourage more participation. However we want editors with intrinsic altruistic motivations. There is a Community Ethos opposed to people chasing after some sort of achievement list. There is a not-uncommon meme that "Wikipedia is not an MMORPG", it is explicit policy that Wikipedia is not a social network, and there is a related very negative view on hat collecting.

IF this is an ephemeral system message congratulating them on their Nth edit, and you stop there, the community will probably consider it mostly harmless. If you start piling on other achievements, or you start making some permanent user achievements page, or god-forbid you start trying to reward article creation count, people will pull out the pitchforks. The LAST thing we want is to encourage anyone to crank out crap article creations to earn "points".

"(...)There is a not-uncommon meme that "Wikipedia is not an MMORPG"(...)"

That's the advantage of notifications: non-public ;)

Ltrlg added a subscriber: Ltrlg.Jan 26 2016, 10:06 PM
TheDJ added a subscriber: TheDJ.Jan 28 2016, 7:02 PM

non public encouragement != public awards

BTW. Just thought of a possible variant to cross that achievement bridge slightly, yet still keeping close to the culture of Wikipedians.

What if we were to send OTHER (fellow) editors a notification when someone achieves something ? Inviting them to encourage the editor for instance. Will be a bit harder to implement, but might be interesting thing to explore at some point.

  • You could have lot's of 'achievements'
  • When reached, apply a randomness factor (to avoid predictability and reduce occurrence).
  • Pick another account that recently edited (and possibly shares traits/interests, whatever with the first user)
  • Ask the 2nd editor to congratulate user 1 on his talkpage (no templated response), or even at some point something smarter like: proposing how they could work together (User 1 is very active in maintaining categories as well, have you met him yet ? Maybe you could work together if you introduce yourself to him !)

Add an opt-out switch for those who don't like to be social at all of course. :)

Add an opt-out switch for those who don't like to be social at all of course. :)

I believe opt-in would better, as in: users who want might request to be added to a usergroup of mentors who are notified of achievements of new users.

TheDJ added a comment.Feb 10 2016, 3:13 PM

I believe opt-in would better, as in: users who want might request to be added to a usergroup of mentors who are notified of achievements of new users.

It's my thorough believe that we should not sandbox everyone into a group up front. Tasks within a system should be inclusive by default, and then a user should be able to influence the volume of something. So if you want to "increase" your volume by joining a "welcome committee", I'm fine with that, if you get annoyed, you decrease the volume by joining an opt-out group, but for diversity reasons everyone should get a 'signal' once in a while. That's healthy, even if that default group only does like 1% of the actual work, you will diversify the response and you create an easier 'funnel' towards your expert groups.

This is one of the most important lessons that I have learned from participating in things like WikiHow, Foursquare places, Facebook places, Openstreet map, NYPL digitization efforts and many similar micro tasks based crowd sourcing. It's also the thing that we are truly terrible at within Wikipedia/WMF.
And this is not about making everything 'social', or a 'game'. It's about dosage, encouragement, checks and balances, and you cannot capture that in a binary state. We need to learn a bit about participation if we want to remain a crowd sourced platform.

Jdlrobson set Security to None.Feb 12 2016, 10:06 PM
Jdlrobson added a subscriber: Halfak.
Jdlrobson added a subscriber: Jdlrobson.

Fwiw the growth team and mobile team have attempted to congratulate editors upon reaching certain landmarks in a/B tests. The results were pretty conclusive that it made no impact to editors likelihood to edit.

Change 264900 merged by jenkins-bot:
Introduce congratulatory notifications for reaching edit thresholds

https://gerrit.wikimedia.org/r/264900

Fwiw the growth team and mobile team have attempted to congratulate editors upon reaching certain landmarks in a/B tests. The results were pretty conclusive that it made no impact to editors likelihood to edit.

Anyone who has spent some time surfing the net is well used to automated 'congratulations' at the point where they don't even bother to read them...

Fwiw the growth team and mobile team have attempted to congratulate editors upon reaching certain landmarks in a/B tests. The results were pretty conclusive that it made no impact to editors likelihood to edit.

Which growth team project are you referring to?

@Jdforrester-WMF Am I right in expecting a new task to be created under Community-consensus-needed for the actual deployment of the feature?
It'd be a shame to see the projects turned into guinea pigs once again.

TheDJ added a comment.EditedFeb 23 2016, 7:30 AM

@Ricordisamoa you are not right, such a tag is only used for extremely high impact issues, or for the implementation of community requests, as mentioned in it's description.

With T127311: Echo congratulations thresholds shouldn't be hard-coded, it can be tweaked on a per project basis. This is not a major feature, so this will roll out like most features and a user-notice has been sent about it. If any project wants to have something different they can file a ticket, asking to deviate from the defaults, and that ticket should get a Community-consensus-needed tag.

TheDJ added a comment.EditedFeb 23 2016, 8:56 AM

Actually.. without T127311: Echo congratulations thresholds shouldn't be hard-coded, there is no way to turn this off right ? Then I say we should definitely make sure that that array is configurable 'somehow'.

Urdu Wikipedia is a small community with a few dedicated contributors. We often congratulate fellow members on editing achievements manually, yet there are occasions when we probably forget and thus fail in our minimum courtesy. We would like to avoid it. We need a bot on Urdu Wikipedia which will automatically congratulate
(1) Users on completion of every 500 edits &
(2) Users on reaching an editing milestone of every 50,000 bytes.

Urdu village pump discussion to this effect

We have no problem if a similar system is in place for all Wikimedia projects.

Fwiw the growth team and mobile team have attempted to congratulate editors upon reaching certain landmarks in a/B tests. The results were pretty conclusive that it made no impact to editors likelihood to edit.

Which growth team project are you referring to?

I remember Steven Walling was very passionately against this when we proposed it in mobile and talked of an A/B test. I believe @Halfak was involved? Sorry for the late reply - missed the ping! :)